当前位置:论坛首页 > Linux面板 > Linux面板教程

关于部分服务器开启面板SSL后经常无法访问的解决方法

发表在 Linux面板2018-4-20 12:16 [复制链接] 7 4059

状况:部分服务器在开启面板SSL后,每隔一段时间面板都会无法访问,在重启面板后恢复正常。
原因:pyOpenssl版本过高,导致与面板SSL服务不兼容
注意:本方法不能解决无法正常开启面板SSL的服务器问题

解决方法:

1、使用命令行修复:
  1. curl http://h.bt.cn/pssl.sh|bash
复制代码


2、或将面板更新到最新版(若已经是最新版请在首页修复面板),然后重新开启面板SSL即可。


3、或自行安装pyOpenssl版本,建议使用16.2,最高17.0
  1. pip install -U pip
  2. pip install pyOpenssl==16.2
  3. /etc/init.d/bt reload
复制代码





使用道具 举报 只看该作者 回复
发表于 2018-4-20 12:30:14 | 显示全部楼层
沙发,更新了,希望能够解决问题。
使用道具 举报 回复 支持 反对
发表于 2018-4-20 12:51:03 | 显示全部楼层
@良哥 执行了,重启了,结果还是一样的。

Installing collected packages: pyOpenSSL
  Found existing installation: pyOpenSSL 17.5.0
    Uninstalling pyOpenSSL-17.5.0:
      Successfully uninstalled pyOpenSSL-17.5.0
Successfully installed pyOpenSSL-16.2.0
Reload service Bt-Panel... done
===================================

这个方法只能解决能正常开启面板SSL,但开启后每隔一段时间后面板无法访问的问题  发表于 2018-4-20 14:07
使用道具 举报 回复 支持 反对
发表于 2018-4-20 13:53:41 | 显示全部楼层
pyOpenSSL已经是16.2了。然而还是无法开启SSL,开启面板就假死了。

系统Debian 9.3,内核4.14.34

这个方法只能解决能正常开启面板SSL,但开启后每隔一段时间后面板无法访问的问题  发表于 2018-4-20 14:07
使用道具 举报 回复 支持 反对
发表于 2018-4-23 12:20:40 | 显示全部楼层
本帖最后由 chen5410178 于 2018-4-23 12:30 编辑

@良哥 我的就是正常开启了SSL,但是每隔一段时间面板不能访问,现在就是用的pyOpenssl==16.2版本。
今天显示登陆超时了,后面点击重新登陆又正常,多等几次再反馈问题。
使用道具 举报 回复 支持 反对
发表于 2018-10-25 17:18:53 | 显示全部楼层
http://h.bt.cn/pssl.sh 这个文件里面有个错误 1.png
install写成insatll了
使用道具 举报 回复 支持 反对
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表